# Standard Actions Methods

## Variables

### Run Variables

void  setRunValue(String propName, Object cacheValue)

void performAPIFieldLevelAction(String apiName, String sectionName)

void executeFunction(String workFlowName)

void executeWorkflow(String workFlowName)

void executeWorkflow(String workFlowName, String dataName)

void executeWorkflow(String workFlowName, Object testInputObj)

void executeTestCase(String workFlowName, String dataNameRef)

void executeTestCase(TFWorkflow tfWorkflow, String testCaseRef)

QData sendRequest(String apiName)

QData sendRequest(String apiName, Map additionalData)

boolean assertData(String groupName,Map baseData,Map targetData)

boolean assertData(String groupName,Map baseData,Map targetData,boolean recursive)

boolean assertData(Object baseData,Object targetData)

Object getRunValue(String propName)

String getRunValueStr(String propName)

void  setRunValue(String propName, Object cacheValue)

Object getContextValue(String keyName)

String getContextValueStr(String keyName)

void  setContextValue(String keyName, Object cacheValue)

void  createCounter(String counterName,Integer startIndex,String scope)

Integer incrementCounter(String counterName)

boolean checkValue(String elementName,Object targetObj)

boolean hasTestData(String elementName)

String getTestDataStr(String elementName)

String getDataStr(String elementName)

Object getTestData(String elementName)

Object getData(String elementName)

QData getTestDataByGroup(String groupName,String type,boolean recursive)

QArray getQueryResults(String queryName)

QData getQueryData(String queryName)

void logInfo(String message)

void logError(String message)

void logError(String message,IBException exception)

void sleep(Integer waitTime)

void exit(String exitMsg)

void setReportParam(String paramName)

void setReportParam(String paramName, Object paramValue)

Object doSmarty(String smartyName,Object data)

QArray toQArray(Object arrayObject)

QData toQData(Object dataObject)

QData toQData(Object dataObject,String keyName)

boolean assertGroup(String groupName, QData qData,boolean recursive)

boolean assertGroup(String groupName, QData qData,String elementType,boolean recursive)

boolean assertGroup(String groupName, String srcArrayElementName, QArray qArray,String elementType,boolean recursive)

void convertToJson(String srcElementName,String destElementName)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qatts.com/master-1/standard-actions-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
